exceptionEvents

The exceptionEvents query in Bunny's GraphQL API, with its arguments, return type and an example request.

Scope required:

For a complete list of possible response fields see the ExceptionEventConnection type.

query exceptionEvents ($after: String, $before: String, $first: Int, $last: Int, $filter: String, $sort: String) {
  exceptionEvents (after: $after, before: $before, first: $first, last: $last, filter: $filter, sort: $sort) {
    edges {
      cursor
      node {
        actor
        description
        eventTimestamp
        eventTimestampFormatted
        eventTypeId
        id
        longDescription
        messageText
        objectType
        payload
        queryName
        queryType
        retried
        retriedAt
        retryAction
        retryable
        severity
        shortDescription
        shortForm
        target
        timeAgo
        uuid
      }
    }
    totalCount
    pageInfo {
      startCursor
      endCursor
      hasNextPage
      hasPreviousPage
    }
  }
}

ArgumentsLink to Arguments section

Name Type Description
after String Returns the elements in the list that come after the specified cursor.
before String Returns the elements in the list that come before the specified cursor.
first Int Returns the first n elements from the list.
last Int Returns the last n elements from the list.
filter String  
sort String  

ResponseLink to Response section